This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 965524 - supermin-helper should give a better error when there's not enough space to build the appliance
supermin-helper should give a better error when there's not enough space to b...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: supermin (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard W.M. Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-21 06:27 EDT by Richard W.M. Jones
Modified: 2014-07-01 12:50 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-01 12:50:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2013-05-21 06:27:30 EDT
Description of problem:

Currently it fails with random errors such as:

supermin-helper: ext2: parent directory not found

This confuses a lot of people who have just run out of space
on /tmp or /var/tmp.  supermin should include better error
detection and/or should try to predict the size of the
appliance and bail if there's not enough space.

Version-Release number of selected component (if applicable):

supermin 4.1.1
Comment 1 Fedora End Of Life 2013-09-16 09:58:44 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 2 Richard W.M. Jones 2014-07-01 12:50:44 EDT
This is fixed in supermin version 5.  We now run statvfs and
give an error like this one:

http://linuxforum.ru/viewtopic.php?pid=414750#p414750

Note You need to log in before you can comment on or make changes to this bug.